aboutsummaryrefslogtreecommitdiffstats
path: root/Distro-Hyprland.sh
diff options
context:
space:
mode:
authorJa.KooLit <85185940+JaKooLit@users.noreply.github.com>2025-03-14 00:00:04 +0900
committerGitHub <noreply@github.com>2025-03-14 00:00:04 +0900
commitf0a983d8863dc4881e5597dc1844f8519cd3cce3 (patch)
treee66e449d266c4627a19c5697b38fb6cf24cf18e3 /Distro-Hyprland.sh
parentfca00ebf28c85a93a66e414aff78263868a22388 (diff)
parent6c2c24b7109b89481a407d426516df416042210a (diff)
Merge pull request #620 from JaKooLit/main-to-branch
main to development
Diffstat (limited to 'Distro-Hyprland.sh')
-rwxr-xr-xDistro-Hyprland.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/Distro-Hyprland.sh b/Distro-Hyprland.sh
index ff0bae03..ff88325f 100755
--- a/Distro-Hyprland.sh
+++ b/Distro-Hyprland.sh
@@ -47,30 +47,30 @@ elif [ "$distro_name" = "Ubuntu" ]; then
Distro="Ubuntu-Hyprland"
Github_URL="https://github.com/JaKooLit/$Distro.git"
Github_URL_branch="24.04"
- Distro_DIR="$HOME/$Distro"
+ Distro_DIR="$HOME/$Distro-$Github_URL_branch"
echo "${INFO} Ubuntu 24.04 detected. Customizing setup for Ubuntu 24.04."
;;
"24.10")
Distro="Ubuntu-Hyprland"
Github_URL="https://github.com/JaKooLit/$Distro.git"
Github_URL_branch="24.10"
- Distro_DIR="$HOME/$Distro"
+ Distro_DIR="$HOME/$Distro-$Github_URL_branch"
echo "${INFO} Ubuntu 24.10 detected. Customizing setup for Ubuntu 24.10."
;;
"25.04")
Distro="Ubuntu-Hyprland"
Github_URL="https://github.com/JaKooLit/$Distro.git"
Github_URL_branch="25.04"
- Distro_DIR="$HOME/$Distro"
+ Distro_DIR="$HOME/$Distro-$Github_URL_branch"
echo "${INFO} Ubuntu 25.04 detected. Customizing setup for Ubuntu 25.04."
;;
*)
Distro="Ubuntu-Hyprland"
- Github_URL="https://github.com/JaKooLit/$Distro.git"
- Distro_DIR="$HOME/$Distro"
- echo "${INFO} Ubuntu version $distro_version detected. Using default Ubuntu setup."
+ echo "${ERROR} Unsupported distribution: $distro_version. Exiting."
+ exit 1
;;
esac
+
elif command -v pacman &> /dev/null; then
PACKAGE_MANAGER="pacman"
INSTALL_CMD="sudo pacman -S --noconfirm"
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage